<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>acme</groupId>
    <artifactId>thirty-three</artifactId>
    <version>1.0-SNAPSHOT</version>
    <packaging>jar</packaging>
    <name>ThirtyThree</name>

    <properties>
        <mainClass>acme.ThirtyThree</mainClass>
        <gitlabProjectId>23570052</gitlabProjectId>
        <gitlabURL>https://gitlab.com/api/v4</gitlabURL>
    </properties>

    <repositories>
         <!-- 🦊 -->
        <repository>
            <id>gitlab-maven</id>
            <url>${gitlabURL}/projects/${gitlabProjectId}/packages/maven</url>
        </repository>
    </repositories>

    <distributionManagement>
         <!-- 🦊 -->
        <repository>
            <id>gitlab-maven</id>
            <url>${gitlabURL}/projects/${gitlabProjectId}/packages/maven</url>
        </repository>
        <snapshotRepository>
            <id>gitlab-maven</id>
            <url>${gitlabURL}/projects/${gitlabProjectId}/packages/maven</url>
        </snapshotRepository>
    </distributionManagement>

    <build>
        <sourceDirectory>src</sourceDirectory>
        <!--<testSourceDirectory>test</testSourceDirectory>-->
        <resources>
            <resource>
                <directory>src</directory>
                <excludes>
                    <exclude>**/*.java</exclude>
                </excludes>
            </resource>
        </resources>

        <plugins>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.0</version>
                <configuration>
                    <source>11</source>
                    <target>11</target>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>2.2.2</version>
                <configuration>
                    <descriptorRefs>
                        <descriptorRef>jar-with-dependencies</descriptorRef>
                    </descriptorRefs>
                    <archive>
                        <manifest>
                            <mainClass>${mainClass}</mainClass>
                        </manifest>
                    </archive>
                    <appendAssemblyId>false</appendAssemblyId>
                    <!--
                    <outputDirectory>jars</outputDirectory>
                    -->
                    <finalName>${project.artifactId}.${project.version}</finalName>
                </configuration>
            </plugin>

        </plugins>
    </build>

</project>
